BOOTSTRA.386 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
BOOTSTRA.386 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
BOOTSTRA.386 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 Apache 2.0
开发语言 JavaScript HTML/CSS
操作系统 跨平台
软件类型 开源软件
所属分类 程序开发UI组件库
开源组织
地区 不详
投 递 者 罗奇奇
适用人群 未知
收录时间 2021-11-04

软件简介

BOOTSTRA.386 是一款受 1980 年代 DOS 启发的老式 Twitter Bootstrap 主题,可以使网页看起来像是来自 1980 年—— 一段更温和、不那么分散注意力的时间。

点此可查看示例。

界面展示

配置

Javascript 通过全局_386对象设置。

加载动画

可以通过以下值进行配置:

  • fastLoad [bool](默认值:false) - 禁用所有动画。
  • onePass [bool](默认值:false) - 设置后,这将禁用第二个飞越光标
  • speedFactor [float](default: 1.0) - 控制动画发生的速度。更高的值意味着更快的动画。

例子:

_386 = { onePass: true, speedFactor: 1.25 };

注意:要让渐进式动画工作,可能需要在常规 CSS 中设置:body { visibility: hidden }.

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击引领话题📣 发布并加入讨论🔥
暂无内容
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
Sass Node-sass 信任管理问题漏洞
证书验证不恰当
Sass Node-sass是Gogo(Sass)团队的一个基于C++用于支持Node与LibSass进行交互的代码库。 node-sass 2.0.0 to 4.14.1 存在安全漏洞,该漏洞源于证书验证会被禁用。
CVE-2020-24025 MPS-2021-0364
2022-08-08 19:08
Socketio Socket.io 访问控制错误漏洞
源验证错误
Socketio Socket.io是Socketio社区的一个基于Javascript的支持基于事件双向通信的服务器端应用。 socket.io before 2.4.0 存在安全漏洞,该漏洞源于CORS配置错误,容易出现不安全的默认值。
CVE-2020-28481 MPS-2021-0652
2022-08-08 19:08
Npm Node-tar 后置链接漏洞
node-tar是一款用于文件压缩/解压缩的软件包。 Npm Node-tar 中存在后置链接漏洞,该漏洞源于产品未对特殊字符做有效验证。攻击者可通过该漏洞在其他路径创建恶意文件。
CVE-2021-37701 MPS-2021-28486
2022-08-08 19:08
Axios 拒绝服务 漏洞
拒绝服务
Axios 是一个基于promise 网络请求库。 漏洞版本的axios 容易受到低效正则表达式复杂性的影响,从而引发拒绝服务 (ReDoS) 的攻击。
CVE-2021-3749 MPS-2021-30688
2022-08-08 19:08
log4js-node 安全漏洞
缺省权限不正确
Log4js-Node是一种 Log4js 到 Node.js 的端口。 log4js-node 存在安全漏洞,攻击者可利用该漏洞获取敏感信息。
CVE-2022-21704 MPS-2021-37062
2022-08-08 19:08
handlebars 安全漏洞
handlebars是一款语义化的Web模板系统。 handlebars 4.7.7版本之前存在安全漏洞,该漏洞源于在选择某些编译选项来编译来自不受信任的源的模板时,handlebars容易受到远程代码执行(Remote Code Execution, RCE)的攻击。
CVE-2021-23369 MPS-2021-4548
2022-08-08 19:08
ecstatic拒绝服务漏洞
拒绝服务
ecstatic是一个简单的静态文件服务器中间件。 ecstatic存在拒绝服务漏洞。攻击者可利用该漏洞导致应用程序崩溃。
CVE-2019-10775 MPS-2020-0017
2022-08-08 19:08
Socketio Engineio 资源管理错误漏洞
拒绝服务
Socketio Engineio是Socketio社区的一个基于Javascript用于浏览器与设备进行双向通信的实时引擎。 Socketio Engine.IO before 4.0.0 存在安全漏洞,攻击者可利用该漏洞通过对长轮询传输的POST请求导致拒绝服务(资源消耗)。
CVE-2020-36048 MPS-2021-0191
2022-08-08 19:08
lodash 存在拒绝服务漏洞
拒绝服务
lodash 是一个现代 JavaScript 实用程序库,提供模块化、性能和附加功能。由于对 CVE-2020-8203 的修复不完整,此软件包的受影响版本容易受到 zipObjectDeep 中的原型污染。
MPS-2022-13841
2022-08-08 19:08
Andrey Sitnik postcss 安全漏洞
Andrey Sitnik postcss是Andrey Sitnik开源的一个应用程序,用于使用JS插件进行样式转换。 在漏洞版本中该程序在源映射解析期间受到正则表达式拒绝服务(ReDoS)的攻击。
CVE-2021-23368 MPS-2021-4549
2022-08-08 19:08
handlebars 存在拒绝服务漏洞
拒绝服务
handlebars 是 Mustache 模板语言的扩展。此软件包的受影响版本容易受到原型污染。
MPS-2022-13735
2022-08-08 19:08
Npm Ini 资源管理错误漏洞
拒绝服务
Npm Ini是美国Npm公司的一个基于Javascript的用于解析和序列化Ini格式文件的代码库。 Npm ini before 1.3.6 存在资源管理错误漏洞,该漏洞允许攻击者可利用该漏洞向应用程序提交恶意的INI文件,该应用程序将用INI解析该文件。这可以根据上下文进一步加以利用。
CVE-2020-7788 MPS-2020-17544
2022-08-08 19:08
minimist 输入验证错误漏洞
原型污染
minimist是一款命令行参数解析工具。 minimist 1.2.2之前版本存在输入验证错误漏洞。攻击者可借助‘constructor’和‘__proto__’ payload利用该漏洞添加或修改Object.prototype的属性。
CVE-2020-7598 MPS-2020-3516
2022-08-08 19:08
Socketio Engineio 资源管理错误漏洞
拒绝服务
Socketio Engineio是Socketio社区的一个基于Javascript用于浏览器与设备进行双向通信的实时引擎。 Socketio socket.io-parser before 3.4.1 存在安全漏洞,攻击者可利用该漏洞通过大包导致拒绝服务(内存消耗)。
CVE-2020-36049 MPS-2021-0192
2022-08-08 19:08
nodejs 资源管理错误漏洞
拒绝服务
nodejs是是一个基于ChromeV8引擎的JavaScript运行环境通过对Chromev8引擎进行了封装以及使用事件驱动和非阻塞IO的应用让Javascript开发高性能的后台应用成为了可能。 nodejs-glob-parent 存在安全漏洞,该漏洞源于正则表达式拒绝服务。
CVE-2020-28469 MPS-2021-7827
2022-08-08 19:08
istanbul-reports 存在通过 window.opener 访问使用指向不受信任目标的 Web 链接漏洞
通过 window.opener 访问使用指向不受信任目标的 Web 链接
由于指向 https://istanbul 的链接中没有 rel 属性,因此该软件包的受影响版本容易受到反向 Tabnabbing 的攻击。
MPS-2022-13797
2022-08-08 19:08
stylelint 存在拒绝服务漏洞
拒绝服务
stylelint 是一种 linter,可帮助您避免错误并在样式中强制执行约定。此软件包的受影响版本容易受到正则表达式拒绝服务 (ReDoS) 的攻击。
MPS-2022-14061
2022-08-08 19:08
kind-of注入漏洞
将资源暴露给错误范围
kind-of是一款JavaScript类型检查软件包。 kind-of v6.0.2版本中的index.js文件的‘ctorName’函数存在注入漏洞,攻击者可利用该漏洞覆盖内部属性,操纵类型检查的结果。
CVE-2019-20149 MPS-2019-17164
2022-08-08 19:08
Yargs Y18n 输入验证错误漏洞
动态确定对象属性修改的控制不恰当
Yargs Y18n是Yargs个人开发者的一个类似I18n的由Js编写的代码库。 y18n before 3.2.2, 4.0.1 and 5.0.5版本存在输入验证错误漏洞,该漏洞源于网络系统或产品未对输入的数据进行正确的验证。
CVE-2020-7774 MPS-2020-17543
2022-08-08 19:08
boto 存在代码注入漏洞
代码注入
boto 是亚马逊网络服务库。此软件包的受影响版本容易受到通过不安全 YAML 进行的任意代码执行攻击。
MPS-2022-14768
2022-08-08 19:08
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
0 评论
2 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部